Package be.ehealth.businessconnector.therlink.domain.responses

# Class GetTherapeuticLinkResponse

java.lang.Object
be.ehealth.businessconnector.therlink.domain.responses.GeneralResponse
be.ehealth.businessconnector.therlink.domain.responses.GetTherapeuticLinkResponse

public class GetTherapeuticLinkResponse extends GeneralResponse
GetTherapeuticLinkResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTherapeuticLinkResponse(Instant instant, Author author, String id, TherapeuticLinkRequestType request, List<TherapeuticLinkResponse> listOfTherapeuticLinks, Acknowledge acknowledge)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TherapeuticLinkResponse>`
  `getListOfTherapeuticLinks()`
  `void`
  `setListOfTherapeuticLinks(List<TherapeuticLinkResponse> listOfTherapeuticLinks)`
  `String`
  `toString()`

  ### Methods inherited from class be.ehealth.businessconnector.therlink.domain.responses.GeneralResponse

  `getAcknowledge, getDateTime, getExternalAuthor, getExternalID, getOriginalRequest, setAcknowledge, setDateTime, setExternalAuthor, setExternalID, setOriginalRequest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTherapeuticLinkResponse

    public GetTherapeuticLinkResponse(Instant instant, Author author, String id, TherapeuticLinkRequestType request, List<TherapeuticLinkResponse> listOfTherapeuticLinks, Acknowledge acknowledge)
    Parameters:
      `instant` -
      `author` -
      `id` -
      `request` -
      `listOfTherapeuticLinks` -
      `acknowledge` -

- ## Method Details

  - ### getListOfTherapeuticLinks

    public List<TherapeuticLinkResponse> getListOfTherapeuticLinks()
    Returns:
      the listOfTherapeuticLinks

  - ### setListOfTherapeuticLinks

    public void setListOfTherapeuticLinks(List<TherapeuticLinkResponse> listOfTherapeuticLinks)
    Parameters:
      `listOfTherapeuticLinks` - the listOfTherapeuticLinks to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `GeneralResponse`